Subject: Executable hang when using a cygwin telnet session
From: "Chris Lidgate" <[email-masked]>
To: [email-masked]
Date: Tue, 10 Jun 2003 08:18:36 -0700

Hi all

I have just seen something that seemed very odd, and I can't find any information about it that seems relevant in any of the usual places.

A colleague is developing a win32 console cli program that does some useful stuff ... We've been testing it physically on our win2000 box under a normal dos prompt - and it works fine. We can also run the program from a BASH shell if I physically open the cygwin shell on the win2000 console. Again the new program does all of the stuff I would expect. 

Then I had a great idea, if we could telnet into our win2000 box we could put several people onto the testing of the new program. If I telnet into the box under the normal cygwin telnetd service, the program hangs (in the program loader ?) without producing any output at all (normally the first thing it does is printf a version / wellcome header). CRTL C will bring back the bash session, but the cli program refuses to run.

HOWEVER, all of the normal win32 console apps (tracert, ipconfig, yadda yadda yadda) run perfectly well from the telnet session. I'm sure there is nothing wrong with inetd or telnetd as we use it quite a lot, but it's as if I'm missing something fundemental.

Does anyone know why this program would behave like this and know if there are any workarounds ??

-- Chris

---
  Chris Lidgates private email    |
      This email address is       |
     lidgaca AT lycos DOT com     |

____________________________________________________________
Get advanced SPAM filtering on Webmail or POP Mail ... Get Lycos Mail!
http://login.mail.lycos.com/r/referral?aid=27005

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/